package com.microservices.pms.product.domain.vo;

import com.microservices.common.core.utils.bean.BeanUtils;
import com.microservices.pms.product.domain.PmsProductRequirementTag;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 产品需求标记对象 pms_product_requirement_tag
 * 
 * @author otto
 * @date 2023-10-10
 */
@Data
@ApiModel("产品需求标记搜索对象")
public class PmsProductRequirementTagSearchVo
{
    /** 标记名称 */
    @ApiModelProperty(value = "标记名称")
    private String tagName;

    public PmsProductRequirementTag toPmsProductRequirementTag(){
        PmsProductRequirementTag target = new PmsProductRequirementTag();
        BeanUtils.copyProperties(this, target);
        return target;
    }
}
